/* File:        $Id: PrintNotifications.java 2665 2013-04-19 15:09:59Z svc $
 * Revision:    $Revision: 2665 $
 * Author:      $Author: svc $
 * Date:        $Date: 2013-04-19 17:09:59 +0200 (Fri, 19 Apr 2013) $
 *
 * The Netarchive Suite - Software to harvest and preserve websites
 * Copyright 2004-2012 The Royal Danish Library, the Danish State and
 * University Library, the National Library of France and the Austrian
 * National Library.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */

package dk.netarkivet.common.utils;

/**
 * A notification implementation that prints notifications on
 * System.err.
 */
public class PrintNotifications extends Notifications {
 
    /**
     * Reacts to a notification by printing the notification to
     * System.err.
     *
     * @param message The error message to print.
     * @param e       The exception to print, if not null.
     */
    public void notify(String message, NotificationType eventType, Throwable e) {
        System.err.println("[" + eventType + "]:" + message);
        if (e != null) {
            e.printStackTrace(System.err);
        }
    }
}
