/* File:    $Id: DeduplicatorTesterSuite.java 2502 2012-09-25 15:57:46Z svc $
 * Version: $Revision: 2502 $
 * Date:    $Date: 2012-09-25 17:57:46 +0200 (Tue, 25 Sep 2012) $
 * Author:  $Author: svc $
 *
 * The Netarchive Suite - Software to harvest and preserve websites
 * Copyright 2004-2012 The Royal Danish Library, the Danish State and
 * University Library, the National Library of France and the Austrian
 * National Library.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */

package dk.netarkivet.deploy;

import dk.netarkivet.archive.arcrepository.ARCLookupTester;
import junit.framework.Test;
import junit.framework.TestSuite;
import junit.textui.TestRunner;

import dk.netarkivet.harvester.indexserver.CDXOriginCrawlLogIteratorTester;

/**
 * This class runs all tests of Deduplicator functionality.  Must be run as part
 * of deduplicator upgrades. 
 * FIXME This doesn't test the Heritrix modules.
 *
 */

public class DeduplicatorTesterSuite {
    public static void addToSuite(TestSuite suite) {
        suite.addTestSuite(CDXOriginCrawlLogIteratorTester.class);
        suite.addTestSuite(ARCLookupTester.class);
    }

    public static Test suite() {
        TestSuite suite;
        suite = new TestSuite("DeduplicatorTesterSuite");

        addToSuite(suite);

        return suite;
    }

    public static void main(String args[]) {
        String args2[] = {"-noloading", "dk.netarkivet.DeduplicatorTesterSuite"};
        TestRunner.main(args2);
    }}
